# glance.scrubber module

class glance.scrubber.Daemon(wakeup_time=300, threads=100)

  Bases: `object`

  start(application)
  wait()

class glance.scrubber.ScrubDBQueue

  Bases: `object`

  Database-based image scrub queue class.

  add_location(image_id, location)

    Adding image location to scrub queue.

    Parameters:

      - image_id – The opaque image identifier

      - location – The opaque image location

    Returns:

      A boolean value to indicate success or not

  get_all_locations()

    Returns a list of image id and location tuple from scrub queue.

    Returns:

      a list of image id, location id and uri tuple from scrub queue

  has_image(image_id)

    Returns whether the queue contains an image or not.

    Parameters:

      image_id – The opaque image identifier

    Returns:

      a boolean value to inform including or not

class glance.scrubber.Scrubber(store_api)

  Bases: `object`

  revert_image_status(image_id)
  run(event=None)

glance.scrubber.get_scrub_queue()

this page last updated: 2026-04-16 16:57:26

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug